Subject: Re: bug#6998: 24.0.50; bidi: lines starting with neutral types have the wrong base direction?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Sep 2010 21:07:49 +0200

> Date: Mon, 20 Sep 2010 17:45:00 +0300
> From: Thamer Mahmoud <[email-masked]>
> Cc: [email-masked]
> 
> Thanks for your comments, Eli.  I do mean the above example, as I can
> see some inconsistent behavior when using org-mode.

A reproducible test case, preferably starting with "emacs -Q", would
be greatly appreciated.

> It seems that Emacs _sometimes_ renders the above example in org-mode
> as,
> 
> * First...
> * Second
> 
> While in other invocations the same file is rendered as:
> 
> * First...
>                              Second *

Sorry, I don't understand.  Your original example included a line in
ARABIC and an empty line, in addition to "First" and "second" lines.
Are we talking about a different example now?  If not, please show how
the example is rendered in its entirety, in the two different
behaviors you observe.

> I can also see a bug and a crash with the second rendering (and it got
> me confused about how Emacs handles neutral types)

Could you pots a backtrace when in crashes?

> so I wonder which rendering should be considered as "correct"?

For your original example:

 * First
 [BLANK_LINE]
 ARABIC
 * Second

the correct rendering is this:

 * First
 [BLANK_LINE]
                        CIBARA
                      Second *

For the example you show now:

 * First
 * Second

the correct rendering is what you'd expect:

 * First
 * Second